Updates the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "b97fe802-a534-4556-89dd-41ce010e39e1",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "84873e51-c9da-4858-ada3-5d21bfccb393",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "1ad8ba6e-5176-43c2-803b-406815bb2059",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a9385c9d-388b-48a4-9d7f-d28171426f7c",
"db_currency_id": "745fabdd-eeba-4552-87be-10a8dbee4abc",
"db_language_id": "d336857e-0e45-40e7-92d1-35a7a2d029bb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-08-29T07:46:37.1900359+00:00"
},
"modified_dateutc": "2026-08-29T07:46:37.1900359+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.